<?php

namespace Drupal\c2pa_sign\Event;

use Drupal\Component\EventDispatcher\Event;

/**
 * Wraps an indexing items event.
 */
final class ManifestCreateEvent extends Event {

  const EVENT_NAME = 'c2pa_sign_manifest_create_event';

  /**
   * @var array
   */
  protected array $manifest;

  /**
   * Creates the new class instance
   *
   * @param array $manifest The manifest array to be passed to c2patool as JSON
   */
  public function __construct(array &$manifest) {
    $this->manifest = $manifest;
  }

  /**
   * Retrieves the index on which items will be indexed.
   *
   * @return \Drupal\search_api\IndexInterface
   *   The index on which items will be indexed.
   */
  public function getManifest(): array {
    return $this->manifest;
  }

  /**
   * set the manifest data
   *
   * @param array $manifest
   *
   * @return void
   */
  public function setManifest(array $manifest) {
    $this->manifest = $manifest;
  }

}
